# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|

    if Vagrant.has_plugin? "vagrant-vbguest"
        config.vbguest.no_install  = true
        config.vbguest.auto_update = false
        config.vbguest.no_remote   = true
    end

    config.vm.define "node1" do |node1|
        node1.vm.boot_timeout   = 9000
        node1.vm.box = "bento/ubuntu-18.04"
        node1.vm.provider "virtualbox" do |v|
           v.customize [
                        "modifyvm", :id,
                        "--memory", "32768",
                        "--cpus", "16"]
        end
        node1.vm.network "public_network", bridge: "eno1",  ip: "172.16.72.51"
        node1.vm.hostname = "node1"
        node1.vm.provision :shell, path: "scripts/setup-hosts.sh"
        node1.vm.provision :shell, path: "scripts/setup-node.sh"
        node1.vm.provision :shell, path: "scripts/installVisionDistribuido.sh"
    end

    config.vm.define "nodemaster" do |nodemaster|
        nodemaster.vm.boot_timeout   = 9000
        nodemaster.vm.box = "bento/ubuntu-18.04"
        nodemaster.vm.provider "virtualbox" do |v|
          v.customize ["modifyvm", :id, "--memory", "8192"]
        end
        nodemaster.vm.network "public_network", bridge: "eno1", ip: "172.16.72.50"
        nodemaster.vm.hostname = "nodemaster"
        nodemaster.vm.provision :shell, path: "scripts/setup-hosts.sh"
        nodemaster.vm.provision :shell, path: "scripts/setup-master.sh"
        #nodemaster.vm.provision :shell, path: "scripts/installVision.sh"
    end
end
